Bug 491200 - [enh] support http-proxy feature
[enh] support http-proxy feature
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 15:32 EDT by August Schwerdfeger
Modified: 2011-06-03 04:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-03 04:53:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unusable VPN configuration. (3.34 KB, text/plain)
2009-03-19 15:32 EDT, August Schwerdfeger
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 440031 None None None Never

  None (edit)
Description August Schwerdfeger 2009-03-19 15:32:37 EDT
Created attachment 335925 [details]
Unusable VPN configuration.

Description of problem:

OpenVPN's "http-proxy" feature allowing tunnelling of VPN traffic through an HTTP proxy is not supported in the NetworkManager plugin. One can neither specify nor import a VPN configuration using it.

I attach a VPN configuration utilizing "http-proxy" that could not be imported or used in the plugin.

Version-Release number of selected component (if applicable):

NetworkManager-openvpn-0.7.0.99-1.fc10.x86_64
openvpn-2.1-0.29.rc15.fc10.x86_64
NetworkManager-0.7.0.99-3.fc10.x86_64
Comment 1 Bug Zapper 2009-11-18 06:33:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 August Schwerdfeger 2009-12-01 16:16:19 EST
The "http-proxy" feature is still not supported by the plugin in F11.
Comment 3 Michael Scherer 2010-02-03 18:58:36 EST
The feature have been suggested on gnome bugzilla : https://bugzilla.gnome.org/show_bug.cgi?id=440031 
and a patch could be find there. I was working on it when I tought to check on gnome bugzilla.
Comment 4 Bug Zapper 2010-04-27 09:16:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 07:31:41 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 August Schwerdfeger 2010-06-28 11:34:19 EDT
The "http-proxy" feature is still not supported by the plugin in F13.
Comment 7 Dextone 2010-09-12 01:16:45 EDT
I'm running Fedora 13 - 2.6.34.6-54.fc13.i686.PAE
OpenVPN "http-proxy" option/feature still doesn't works with following packages :
NetworkManager-openvpn-0.8.1-1.fc13.i686
openvpn-2.1.3-1.i686
Comment 8 Bug Zapper 2011-06-02 14:12:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Michael Scherer 2011-06-03 04:53:10 EDT
Since the support is there ( according to the previous bug report on gnome ), I guess we can mark this one as fixed  ?

Note You need to log in before you can comment on or make changes to this bug.